Summary:	Utility to show EXIF information hidden in JPEG files
Summary(pl.UTF-8):	Narzędzie do wyświetlania danych EXIF ukrytych w plikach JPEG
Name:		exif
Version:	0.6.22
%define	tagver	%(echo %{version} | tr . _)
Release:	1
License:	GPL v2+
Group:		Applications/Graphics
#Source0Download: https://github.com/libexif/exif/releases
Source0:	https://github.com/libexif/exif/releases/download/exif-%{tagver}-release/%{name}-%{version}.tar.xz
# Source0-md5:	bc600b12c50fbb26f025819164d963e6
Patch0:		%{name}-ac.patch
URL:		https://libexif.github.io/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools >= 0.14.1
BuildRequires:	libexif-devel >= 1:0.6.20
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	popt-devel >= 1.12
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	libexif >= 1:0.6.20
Requires:	popt >= 1.12
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
'exif' is a small command-line utility to show EXIF information hidden
in JPEG files, written to demonstrate the power of libexif.

%description -l pl.UTF-8
exif to małe narzędzie działające z linii poleceń, służące do
pokazywania informacji EXIF ukrytych w plikach JPEG. Zostało napisane
do pokazania możliwości libexif.

%prep
%setup -q
%patch0 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__libtoolize}
%{__aclocal} -I m4m
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/exif
%{_mandir}/man1/exif.1*
%changelog
* Sat Sep 19 2020 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/exif.git;a=log;h=master

* Sat Sep 19 2020 Jakub Bogusz <qboosh@pld-linux.org> 79e6459
- updated to 0.6.22

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 9a64b3d
- updated gettext BR

* Tue Jul 24 2012 Jakub Bogusz <qboosh@pld-linux.org> f01b975
- use __rm macro

* Sun Jul 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> 2b68d4b
- updated to 0.6.21
- pl.po-update patch applied upstream

* Sun Jul 22 2012 Łukasz Kieś <kiesiu@pld-linux.org> ac36b1a
- obsoleted, applied upstream

* Thu Dec 22 2011 Jakub Bogusz <qboosh@pld-linux.org> 86eaae8
- updated pl.po-update patch

* Sun Dec 18 2011 Adam Osuchowski <adwol@pld-linux.org> 2491e89
- up to 0.6.20

* Sat Sep 25 2010 Jakub Bogusz <qboosh@pld-linux.org> 52a9103
- updated to 0.6.19
- updated pl.po-update patch

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 0e1b114
- updated to 0.6.17
- updated pl.po-update patch, removed obsolete nls patch

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> bab645a
- updated for 0.6.17

* Tue Nov 18 2008 Jakub Bogusz <qboosh@pld-linux.org> 943024c
- obsolete

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 66be375
- updated ac/am/gt deps

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 292ebee
- updated to 0.6.15
- updated nls patch, added ac patch
- merged pl.po replaced by pl.po-update patch

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> 92ef0b3
- for 0.6.15

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> bac5515
- updated for 0.6.15 (the opposite now: if libexif uses native codeset, don't try to convert it from UTF-8)

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> b99cb3c
- ac fix

* Sat May 26 2007 Jakub Bogusz <qboosh@pld-linux.org> c0bcc7d
- obsolete (merged)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> dce5271
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 1c89f1f
- converted to UTF-8

* Mon Mar 21 2005 Jakub Bogusz <qboosh@pld-linux.org> 1519e93
- added pl.po, release 2

